Développement Web Ruby
par Sylvain CLAUDEL

Derniers posts

jparallax le plugin jQuery pour des effets sympa inutile donc indispensable

Date d'édition 2010-02-10 à 10:39

jquery

Jparallax permet de faire des effets super sympa mais d'une utilitée discutable, en tout cas moi je trouve tout ça mignon, et la mort de flash approche toujours plus.

La principale demo se trouve ici (les autres demos plus bas dans la page sont sympa aussi)

https://webdev.stephband.info/parallax.html

underscore dans le nom de domaine (sous domaine) et internet explorer - erreur 422 - InvalidAuthenticityToken - Rubyonrails

Date d'édition 2010-02-09 à 14:48

Cela fait 1 journée complète que je cherche pourquoi je n'arrive pas à m'authentifier sur un sous-domaine.

Erreur InvalidAuthenticityToken dans le log "production.log", et rails m'affichait l'erreur 422 (public/422.html) du fait que Internet Explorer n'arrivait pas à enregistrer le cookie et la variable de session.

Parce que IE n'arrive pas (Firefox si) à stocker les cookies et les variables de session sur des sites avec des _ dans leur sous-domaine.

Oui c'est vrai c'est interdit les _ mais je m'en souvenais plus !!

The Gimp 2.8 Sortira peut-être en décembre 2010 (02/12/10)

Date d'édition 2010-02-04 à 10:29

Gimp 2.8

Bon il paraîtrait que Gimp 2.8 sortira un peu plus tard que prévu ( et encore la date du 02/12/2010 n'est pas certaine), donc il nous faudra encore patienter quelques mois avec gimp 2.6.7 (ou 2.7)...

Google n'aime pas Opera

Date d'édition 2010-02-01 à 17:01

Voici ce que l'on peut lire sur Google AdWords avec Opera 10.

We're sorry, the AdWords interface does not work with Opera. We recommend using Firefox 3, Internet Explorer 8, Safari, or Chrome to manage your AdWords campaigns. Learn more.

Je trouve ça moyen tout de même, Opera 10 est un navigateur relativement récent, bon alors du coup j'irai avec Firefox 3.7pre...

Créer un projet rails avec une version spécifique du framework

Date d'édition 2010-01-29 à 09:36

RubyOnRails

Merci à mon chef de projet pour cette astuce...
Si vous voulez créer un projet rails avec une version spécifique du framework rails :

Par exemple pour une version 2.3.2 :
rails _2.3.2_ mon_projet

Pratique pour voir les différences entre deux versions sur des projets vides...

Développement ruby et geekeries - rivsc